import 'package:json_annotation/json_annotation.dart';

import '../../../api_response.dart';
import '../../models/mc_holiday.dart';

export '../../models/mc_holiday.dart';

part 'timetable_get_holidays_response.g.dart';

@JsonSerializable(explicitToJson: true)
class TimetableGetHolidaysResponse extends ApiResponse {
  final List<McHoliday> result;

  TimetableGetHolidaysResponse({required this.result});

  factory TimetableGetHolidaysResponse.fromJson(Map<String, dynamic> json) =>
      _$TimetableGetHolidaysResponseFromJson(json);
  Map<String, dynamic> toJson() => _$TimetableGetHolidaysResponseToJson(this);
}
